> ## Documentation Index
> Fetch the complete documentation index at: https://agentrail.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Read an agent journey step by step: every search and page, how each page was found, and the agent's answer



## OpenAPI

````yaml /api-reference/openapi.json get /v1/leaderboard/journeys/{journeyId}
openapi: 3.0.3
info:
  title: Agentrail API
  version: 0.0.0
servers: []
security: []
tags:
  - name: Leaderboard
  - name: Feedback
paths:
  /v1/leaderboard/journeys/{journeyId}:
    get:
      tags:
        - Leaderboard
      summary: >-
        Read an agent journey step by step: every search and page, how each page
        was found, and the agent's answer
      operationId: getLeaderboardJourney
      parameters:
        - schema:
            type: string
            pattern: >-
              ^[0-9a-f]{8}-[0-9a-f]{4}-[1-8][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
          in: path
          name: journeyId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  task:
                    type: string
                    enum:
                      - understand_product
                      - find_pricing
                      - get_started
                      - api_docs
                      - create_account
                      - get_support
                  state:
                    type: string
                    enum:
                      - waiting
                      - running
                      - ended
                  ending:
                    nullable: true
                    type: string
                    enum:
                      - answered
                      - not_answered
                  agent:
                    type: object
                    properties:
                      name:
                        type: string
                        minLength: 1
                      version:
                        nullable: true
                        type: string
                        minLength: 1
                      model:
                        type: string
                        minLength: 1
                    required:
                      - name
                      - version
                      - model
                    additionalProperties: false
                  createdAt:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                  endedAt:
                    nullable: true
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                  companyDomain:
                    type: string
                    minLength: 1
                  prompt:
                    nullable: true
                    type: string
                    minLength: 1
                  steps:
                    type: array
                    items:
                      oneOf:
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - search
                            query:
                              type: string
                            results:
                              type: array
                              items:
                                type: string
                                minLength: 1
                            error:
                              nullable: true
                              type: string
                              minLength: 1
                            pending:
                              type: boolean
                          required:
                            - kind
                            - query
                            - results
                            - error
                            - pending
                          additionalProperties: false
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - page
                            url:
                              type: string
                              minLength: 1
                            found:
                              type: string
                              enum:
                                - task
                                - search_result
                                - page_link
                                - typed
                            hops:
                              type: array
                              items:
                                type: object
                                properties:
                                  url:
                                    type: string
                                    minLength: 1
                                  status:
                                    nullable: true
                                    type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                  location:
                                    nullable: true
                                    type: string
                                    minLength: 1
                                  contentType:
                                    nullable: true
                                    type: string
                                    minLength: 1
                                  bytes:
                                    nullable: true
                                    type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                  error:
                                    nullable: true
                                    type: string
                                    minLength: 1
                                required:
                                  - url
                                  - status
                                  - location
                                  - contentType
                                  - bytes
                                  - error
                                additionalProperties: false
                            outcome:
                              type: string
                              enum:
                                - loaded
                                - failed
                                - sent_elsewhere
                                - reused
                                - pending
                            error:
                              nullable: true
                              type: string
                              minLength: 1
                            format:
                              nullable: true
                              type: string
                              enum:
                                - markdown
                                - html
                                - other
                            ownSite:
                              type: boolean
                            kinds:
                              type: array
                              items:
                                type: string
                                enum:
                                  - homepage
                                  - pricing
                                  - docs
                          required:
                            - kind
                            - url
                            - found
                            - hops
                            - outcome
                            - error
                            - format
                            - ownSite
                            - kinds
                          additionalProperties: false
                  answer:
                    nullable: true
                    type: string
                  facts:
                    type: object
                    properties:
                      openedOwnSite:
                        type: boolean
                      pageKinds:
                        type: array
                        items:
                          type: string
                          enum:
                            - homepage
                            - pricing
                            - docs
                      firstFailedStep:
                        nullable: true
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                    required:
                      - openedOwnSite
                      - pageKinds
                      - firstFailedStep
                    additionalProperties: false
                required:
                  - id
                  - task
                  - state
                  - ending
                  - agent
                  - createdAt
                  - endedAt
                  - companyDomain
                  - prompt
                  - steps
                  - answer
                  - facts
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '409':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '413':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '502':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '503':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
      security: []
      servers:
        - url: https://api.agentrail.co

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.